Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetDevice

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.Device<InetDevice,InetDeviceType>
ru.bitel.bgbilling.modules.inet.common.bean.InetDevice

All Implemented Interfaces:
  `Transferable`, `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<InetDevice>`

public class InetDevice extends Device<InetDevice,InetDeviceType>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<Integer>`
  `invDeviceGroupIds`
  `static final int`
  `SERV_DEVICE_LINK_OFF`
  `static final int`
  `SERV_DEVICE_LINK_ON`
  `static final int`
  `SERV_DEVICE_LINK_ON_CHILD`
  `static final int`
  `SERV_SEARCH_MODE_ADDRESS`
  `static final int`
  `SERV_SEARCH_MODE_ADDRESS_ON_AGENT_DEVICE`
  `static final int`
  `SERV_SEARCH_MODE_INTERFACE_ON_DEVICE`
  Поиск по интерфейсу
  `static final int`
  `SERV_SEARCH_MODE_INTERFACE_WITH_MAC`
  `static final int`
  `SERV_SEARCH_MODE_INTERFACE_WITH_VLAN`
  Поиск по VLAN и порту на самом устройстве.
  `static final int`
  `SERV_SEARCH_MODE_LOGIN`
  Поиск по логину
  `static final int`
  `SERV_SEARCH_MODE_LOGIN_ON_PARENT_AND_CHILD_DEVICE`
  Поиск по логину только на устройстве и дочерних.
  `static final int`
  `SERV_SEARCH_MODE_MAC_ON_AGENT_AND_CHILD_DEVICE`
  Поиск по mac на агентском устройстве с учетом всех дочерних устройств
  `static final int`
  `SERV_SEARCH_MODE_MAC_ON_CHILD_DEVICE`
  Поиск по mac с учетом всех дочерних устройств
  `static final int`
  `SERV_SEARCH_MODE_MAC_ON_DEVICE`
  `static final int`
  `SERV_SEARCH_MODE_MAC_ON_DEVICE_AND_INTERFACE`
  `static final int`
  `SERV_SEARCH_MODE_MAC_ON_ROOT`
  Поиск по MAC-адресу по всем аккаунтам в rootDeviceId
  `static final int`
  `SERV_SEARCH_MODE_VLAN_AND_MAC_ON_PARENT_AND_CHILD_DEVICE`
  Поиск по VLAN и MAC-адресу на самом устройстве, а также на его потомках и его предках.
  `static final int`
  `SERV_SEARCH_MODE_VLAN_ON_CHILD_DEVICE`
  Поиск по vlan с учетом всех дочерних устройств
  `static final int`
  `SERV_SEARCH_MODE_VLAN_ON_DEVICE`
  Поиск по vlan
  `static final int`
  `SERV_SEARCH_MODE_VLAN_WITH_ADDRESS_ON_DEVICE`
  `static final int`
  `SERV_SUB_SEARCH_MODE_ADDRESS`
  `static final int`
  `SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST`
  `static final int`
  `SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST_WITH_ROOT`
  `static final int`
  `SERV_SUB_SEARCH_MODE_ADDRESS_WITH_ROOT`
  `static final int`
  `SERV_SUB_SEARCH_MODE_MAC`
  `static final int`
  `SERV_SUB_SEARCH_MODE_MAC_IF_EXIST`
  `static final int`
  `SERV_SUB_SEARCH_MODE_OFF`

  ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

  `children, comment, config, dateFrom, dateTo, deviceGroupIds, deviceType, deviceTypeId, host, identifier, orderManagerDisabled, parentId, secret, uptime, uptimeTime`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDevice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fromInvDevice(InvDevice device)`
  `String`
  `getConfig()`
  `int`
  `getDeviceTypeId()`
  `String`
  `getFullTitle()`
  `String`
  `getHost()`
  `String`
  `getIdentifier()`
  `String`
  `getInvConfig()`
  `Set<Integer>`
  `getInvDeviceGroupIds()`
  `int`
  `getInvDeviceId()`
  `int`
  `getInvDeviceTypeId()`
  `String`
  `getInvHost()`
  `String`
  `getInvIdentifier()`
  `String`
  `getInvTitle()`
  `int`
  `getSvlan()`
  `void`
  `setInvConfig(String invConfig)`
  `void`
  `setInvDeviceGroupIds(Set<Integer> invDeviceGroupIds)`
  `void`
  `setInvDeviceId(int invDeviceId)`
  `void`
  `setInvDeviceTypeId(int invDeviceTypeId)`
  `void`
  `setInvHost(String invHost)`
  `void`
  `setInvIdentifier(String invIdentifier)`
  `void`
  `setInvTitle(String invTitle)`
  `void`
  `setSvlan(int svlan)`
  `InvDevice`
  `toInvDevice()`

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

  `findCodePath, generateTitle, generateTitle, getChildren, getComment, getDateFrom, getDateTo, getDeviceGroupIds, getDeviceType, getHosts, getHostsAsString, getParentId, getPassword, getSecret, getSort, getTransferData, getTransferDataFlavors, getUptime, getUptimeTime, getUsername, isDataFlavorSupported, isOrderManagerDisabled, main, setChildren, setComment, setConfig, setDateFrom, setDateTo, setDeviceGroupIds, setDeviceType, setDeviceTypeId, setHost, setIdentifier, setOrderManagerDisabled, setParentId, setPassword, setSecret, setSort, setUptime, setUptimeTime, setUsername, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### SERV_SEARCH_MODE_LOGIN

    public static final int SERV_SEARCH_MODE_LOGIN
    Поиск по логину
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_INTERFACE_ON_DEVICE

    public static final int SERV_SEARCH_MODE_INTERFACE_ON_DEVICE
    Поиск по интерфейсу
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_VLAN_ON_DEVICE

    public static final int SERV_SEARCH_MODE_VLAN_ON_DEVICE
    Поиск по vlan
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_VLAN_ON_CHILD_DEVICE

    public static final int SERV_SEARCH_MODE_VLAN_ON_CHILD_DEVICE
    Поиск по vlan с учетом всех дочерних устройств
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_VLAN_WITH_ADDRESS_ON_DEVICE

    public static final int SERV_SEARCH_MODE_VLAN_WITH_ADDRESS_ON_DEVICE
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_INTERFACE_WITH_MAC

    public static final int SERV_SEARCH_MODE_INTERFACE_WITH_MAC
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_MAC_ON_DEVICE

    public static final int SERV_SEARCH_MODE_MAC_ON_DEVICE
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_MAC_ON_CHILD_DEVICE

    public static final int SERV_SEARCH_MODE_MAC_ON_CHILD_DEVICE
    Поиск по mac с учетом всех дочерних устройств
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_ADDRESS

    public static final int SERV_SEARCH_MODE_ADDRESS
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_ADDRESS_ON_AGENT_DEVICE

    public static final int SERV_SEARCH_MODE_ADDRESS_ON_AGENT_DEVICE
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_MAC_ON_ROOT

    public static final int SERV_SEARCH_MODE_MAC_ON_ROOT
    Поиск по MAC-адресу по всем аккаунтам в rootDeviceId
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_VLAN_AND_MAC_ON_PARENT_AND_CHILD_DEVICE

    public static final int SERV_SEARCH_MODE_VLAN_AND_MAC_ON_PARENT_AND_CHILD_DEVICE
    Поиск по VLAN и MAC-адресу на самом устройстве, а также на его потомках и его предках.
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_INTERFACE_WITH_VLAN

    public static final int SERV_SEARCH_MODE_INTERFACE_WITH_VLAN
    Поиск по VLAN и порту на самом устройстве.
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_MAC_ON_DEVICE_AND_INTERFACE

    public static final int SERV_SEARCH_MODE_MAC_ON_DEVICE_AND_INTERFACE
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_MAC_ON_AGENT_AND_CHILD_DEVICE

    public static final int SERV_SEARCH_MODE_MAC_ON_AGENT_AND_CHILD_DEVICE
    Поиск по mac на агентском устройстве с учетом всех дочерних устройств
    See Also:
      - Constant Field Values

  - ### SERV_SEARCH_MODE_LOGIN_ON_PARENT_AND_CHILD_DEVICE

    public static final int SERV_SEARCH_MODE_LOGIN_ON_PARENT_AND_CHILD_DEVICE
    Поиск по логину только на устройстве и дочерних.
    See Also:
      - Constant Field Values

  - ### SERV_SUB_SEARCH_MODE_OFF

    public static final int SERV_SUB_SEARCH_MODE_OFF
    See Also:
      - Constant Field Values

  - ### SERV_SUB_SEARCH_MODE_MAC

    public static final int SERV_SUB_SEARCH_MODE_MAC
    See Also:
      - Constant Field Values

  - ### SERV_SUB_SEARCH_MODE_MAC_IF_EXIST

    public static final int SERV_SUB_SEARCH_MODE_MAC_IF_EXIST
    See Also:
      - Constant Field Values

  - ### SERV_SUB_SEARCH_MODE_ADDRESS

    public static final int SERV_SUB_SEARCH_MODE_ADDRESS
    See Also:
      - Constant Field Values

  - ### SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST

    public static final int SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST
    See Also:
      - Constant Field Values

  - ### SERV_SUB_SEARCH_MODE_ADDRESS_WITH_ROOT

    public static final int SERV_SUB_SEARCH_MODE_ADDRESS_WITH_ROOT
    See Also:
      - Constant Field Values

  - ### SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST_WITH_ROOT

    public static final int SERV_SUB_SEARCH_MODE_ADDRESS_IF_EXIST_WITH_ROOT
    See Also:
      - Constant Field Values

  - ### SERV_DEVICE_LINK_OFF

    public static final int SERV_DEVICE_LINK_OFF
    See Also:
      - Constant Field Values

  - ### SERV_DEVICE_LINK_ON

    public static final int SERV_DEVICE_LINK_ON
    See Also:
      - Constant Field Values

  - ### SERV_DEVICE_LINK_ON_CHILD

    public static final int SERV_DEVICE_LINK_ON_CHILD
    See Also:
      - Constant Field Values

  - ### invDeviceGroupIds

    protected Set<Integer> invDeviceGroupIds

- ## Constructor Details

  - ### InetDevice

    public InetDevice()

- ## Method Details

  - ### getInvDeviceTypeId

    public int getInvDeviceTypeId()

  - ### setInvDeviceTypeId

    public void setInvDeviceTypeId(int invDeviceTypeId)

  - ### getInvTitle

    public String getInvTitle()

  - ### setInvTitle

    public void setInvTitle(String invTitle)

  - ### getInvDeviceId

    public int getInvDeviceId()

  - ### setInvDeviceId

    public void setInvDeviceId(int invDeviceId)

  - ### getInvIdentifier

    public String getInvIdentifier()

  - ### setInvIdentifier

    public void setInvIdentifier(String invIdentifier)

  - ### getInvHost

    public String getInvHost()

  - ### setInvHost

    public void setInvHost(String invHost)

  - ### getInvConfig

    public String getInvConfig()

  - ### setInvConfig

    public void setInvConfig(String invConfig)

  - ### getInvDeviceGroupIds

    public Set<Integer> getInvDeviceGroupIds()

  - ### setInvDeviceGroupIds

    public void setInvDeviceGroupIds(Set<Integer> invDeviceGroupIds)

  - ### getDeviceTypeId

    public int getDeviceTypeId()
    Overrides:
      `getDeviceTypeId` in class `Device<InetDevice,InetDeviceType>`

  - ### getIdentifier

    public String getIdentifier()
    Overrides:
      `getIdentifier` in class `Device<InetDevice,InetDeviceType>`

  - ### getHost

    public String getHost()
    Overrides:
      `getHost` in class `Device<InetDevice,InetDeviceType>`

  - ### getConfig

    public String getConfig()
    Overrides:
      `getConfig` in class `Device<InetDevice,InetDeviceType>`

  - ### toInvDevice

    public InvDevice toInvDevice()

  - ### fromInvDevice

    public void fromInvDevice(InvDevice device)

  - ### getFullTitle

    public String getFullTitle()

  - ### getSvlan

    public int getSvlan()

  - ### setSvlan

    public void setSvlan(int svlan)